using Sirenix.OdinInspector.Editor.Validation;
using VOID.Editor.AttributeValidator;
using VOID.Generic.DynamicValue;

[assembly: RegisterValidator(typeof(DynamicTextValidator))]

namespace VOID.Editor.AttributeValidator
{
    public class DynamicTextValidator : ValueValidator<DynamicText>
    {
        protected override void Validate(ValidationResult result)
        {
            if (Value == null) return;
            
            // TODO: walidacja znaczników
        }
    }
}